summaryrefslogtreecommitdiff
path: root/deps/npm/scripts
diff options
context:
space:
mode:
authorTimothy J Fontaine <tjfontaine@gmail.com>2014-07-31 09:05:30 -0700
committerTimothy J Fontaine <tjfontaine@gmail.com>2014-07-31 09:05:30 -0700
commit1223cafea647e2af4580f4990dc313abf4f7a802 (patch)
tree86187cebe369b35e0075976cefcbe73fd58aede4 /deps/npm/scripts
parent4f1ae11a62b97052bc83756f8cb8700cc1f61661 (diff)
downloadandroid-node-v8-1223cafea647e2af4580f4990dc313abf4f7a802.tar.gz
android-node-v8-1223cafea647e2af4580f4990dc313abf4f7a802.tar.bz2
android-node-v8-1223cafea647e2af4580f4990dc313abf4f7a802.zip
npm: Upgrade to v1.4.21
Diffstat (limited to 'deps/npm/scripts')
-rwxr-xr-xdeps/npm/scripts/doc-build.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/deps/npm/scripts/doc-build.sh b/deps/npm/scripts/doc-build.sh
index 98dfa82f60..18f4e6ca86 100755
--- a/deps/npm/scripts/doc-build.sh
+++ b/deps/npm/scripts/doc-build.sh
@@ -32,6 +32,32 @@ if ! [ -x node_modules/.bin/ronn ]; then
fi
fi
+if ! [ -x node_modules/.bin/marked ]; then
+ ps=0
+ if [ -f .building_marked ]; then
+ pid=$(cat .building_marked)
+ ps=$(ps -p $pid | grep $pid | wc -l) || true
+ fi
+
+ if [ -f .building_marked ] && [ $ps != 0 ]; then
+ while [ -f .building_marked ]; do
+ sleep 1
+ done
+ else
+ # a race to see which make process will be the one to install marked
+ echo $$ > .building_marked
+ sleep 1
+ if [ $(cat .building_marked) == $$ ]; then
+ make node_modules/.bin/marked
+ rm .building_marked
+ else
+ while [ -f .building_marked ]; do
+ sleep 1
+ done
+ fi
+ fi
+fi
+
src=$1
dest=$2
name=$(basename ${src%.*})